Subject: bug#7985: closed (Re: bug#7985: Inconsistancy)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Feb 2011 21:47:02 +0000

Your bug report

#7985: Inconsistancy

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7985: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7985
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7985: Inconsistancy
From: Pádraig Brady <[email-masked]>
To: Tom Tijerina <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Feb 2011 21:52:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/02/11 23:22, Tom Tijerina wrote:
> I have a friend I'm trying to get into learning Linux, not wanting to
> hand feed him every command I've instructed him to use man when he get
> stuck or needs help on how to use a command. 
> 
> He ran man rm and it says at the top its for removing files OR
> directories. That is not correct as it does not give you any information
> for removing directories. I assumed it may be an option of some sort but
> I have not found it in the man page. Is this an oversight? 

$ rm --help | grep directories
  -r, -R, --recursive   remove directories and their contents recursively
By default, rm does not remove directories.  Use the --recursive (-r or -R)

Also the man page is automatically generated from --help output.

cheers,
Pádraig.

Subject: Inconsistancy
From: Tom Tijerina <[email-masked]>
To: [email-masked]
Date: Thu, 03 Feb 2011 18:22:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a friend I'm trying to get into learning Linux, not wanting to
hand feed him every command I've instructed him to use man when he get
stuck or needs help on how to use a command. 

He ran man rm and it says at the top its for removing files OR
directories. That is not correct as it does not give you any information
for removing directories. I assumed it may be an option of some sort but
I have not found it in the man page. Is this an oversight? 

------------------
RM(1)                            User Commands
RM(1)

NAME
       rm - remove files or directories

If this is something positive credit should be given to Ron Flowers. He
is the one who pointed it out to me. 

Running Debian Lenny, GNU coreutils 8.5

Thanks.